using System.Numerics;
using Nethereum.ABI.FunctionEncoding.Attributes;

namespace Knoks.TokenContractTracking
{
    public class TransferEventDto
    {
        //event Transfer(address indexed from, address indexed to, uint256 value);
        [Parameter("address", "from", 1, true)]
        public string From { get; set; }

        [Parameter("address", "to", 2, true)]
        public string To { get; set; }

        [Parameter("uint", "value", 3)]
        public BigInteger Value { get; set; }
    }
}